public class Singleton {

        private static Singleton uniqueInstance;

        private Singleton() {}

        public static Singleton getInstance() {
                if (uniqueInstance == null) {
                        uniqueInstance = new Singleton();
                }
                return uniqueInstance;
        }

        public static void main(String[] args) {
            Singleton a = Singleton.getInstance();
            Singleton b = Singleton.getInstance();
            System.out.println("a = " + a);
            System.out.println("b = " + b);
        }

}
